document.addEventListener('DOMContentLoaded', () => {
  // Mobile Navigation Toggle
  const navToggle = document.querySelector('.nav-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  navToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth Scroll for Navigation Links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      navLinks.classList.remove('active');
      
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form Submission Handler
  const contactForm = document.getElementById('contact-form');
  
  contactForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    // Add animation to button
    const submitButton = contactForm.querySelector('button');
    submitButton.textContent = 'Sending...';
    
    // Simulate form submission
    setTimeout(() => {
      submitButton.textContent = 'Message Sent!';
      contactForm.reset();
      
      setTimeout(() => {
        submitButton.textContent = 'Send Message';
      }, 2000);
    }, 1500);
  });

  // Intersection Observer for Fade-in Animations
  const observerOptions = {
    threshold: 0.1
  };

  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, observerOptions);

  document.querySelectorAll('.service-card, .expertise-item').forEach(el => {
    observer.observe(el);
  });
});
